/*
 * ===================================================================
 *  Copyright (C) 2002
 *  TOSHIBA CORPORATION  Mobile Comunication Company.
 *                                              All Rights Reserved.
 * ===================================================================
 * Products  : KD9M
 * Source    : AEEKDDI.h
 * Author    : TOSHIBA
 * -------------------------------------------------------------------
 * Abstract  : BREW x_[wb_
 * -------------------------------------------------------------------
 *
 *
 *                      EDIT HISTORY FOR MODULE
 *
 * when     who        what, where, why
 * -------- ---------- --------------------------------------------------
 * 02/06/21 TOSHIBA    New preparation.
 * 02/11/02 TOSHIBA    dbNI/Fǉ
 * 02/11/15 TOSHIBA    NI/Foǉ
 * 02/12/11 TOSHIBA    dbNI/F\̌
 */

#ifndef _AEEKDDI_H /* Double definition is prevented */
#define _AEEKDDI_H


/*
  	dudms										
  */
#define EVT_PPP_CHANGED         500 	// PPPؑ֊Cxg	eCode   = EVT_USER,
										//						wParam  = EVT_PPP_CHANGED,
										//						dwParam = NULL

/*
  	rghliVAvP[Vj@h^e		
  */
//dbNh^e
typedef struct _ShimAddrbookInfo {
    uint32       cbSize;               /* \̂̃TCY                 */
    AEECLSID     clsid;                /* AvP[ṼNXID     */
    AEEEvent     ret_evt;              /* ʒmɎgpCxg     */
    uint16       ret_sts;              /* Xe[^X                 */
									   /*  0 - 튮                  */
									   /* -1 - YڂȂA̓LZ */
    uint16       mode;                 /* db̌[h             */
    uint32       fields;               /* 擾鍀                   */
    char         name[25];             /* O                           */
    char         yomi[25];             /* ݂                       */
    char         telno1[37];           /* dbԍP                     */
    char         telno2[37];           /* dbԍQ                     */
    char         mailaddr1[65];        /* E[AhXP              */
    char         mailaddr2[65];        /* E[AhXQ              */
    uint16       group;                /* O[vNo                     */
    uint16       memory;               /* No                       */
    char         birthday[11];         /* a                         */
    char         hobby[21];            /*                            */
    char         address[81];          /* Z                           */
    char         url[257];             /* URL                            */
    char         memo[81];             /*                            */
    char         constellation[52];    /*                            */
    char         bloodtype;            /* t^                         */
    char         location[68];         /* ʒu                       */
} ShimAddrbookInfo;


// db̌[h
#define SHIM_ABK_MODE_NORMAL 		0				/* ʏ팟				*/
#define SHIM_ABK_MODE_TELSEARCH		1				/* dbԍ			*/
#define SHIM_ABK_MODE_EMAILSEARCH	2				/* d[AhX */
#define SHIM_ABK_MODE_URLSEARCH		3				/* URL				*/
#define SHIM_ABK_MODE_GPSSEARCH		4				/* GPS				*/

// 擾鍀
#define	SHIM_ABK_ITEM_NAME      0x0001				/* O					*/
#define	SHIM_ABK_ITEM_YOMI      0x0002				/* 					*/
#define	SHIM_ABK_ITEM_TEL1      0x0004				/* dbԍP			*/
#define	SHIM_ABK_ITEM_TEL2      0x0008				/* dbԍQ			*/
#define SHIM_ABK_ITEM_MAIL1		0x0010				/* d[AhXP	*/
#define SHIM_ABK_ITEM_MAIL2		0x0020				/* d[AhXQ	*/
#define SHIM_ABK_ITEM_GROUP		0x0040				/* O[vNo.			*/
#define	SHIM_ABK_ITEM_NO		0x0080				/* No.			*/
#define SHIM_ABK_ITEM_BIRTH		0x0100				/* a				*/
#define SHIM_ABK_ITEM_HOBBY		0x0200				/* 					*/
#define SHIM_ABK_ITEM_ADDR		0x0400				/* Z					*/
#define	SHIM_ABK_ITEM_URL		0x0800				/* URL					*/
#define SHIM_ABK_ITEM_MEMO		0x1000				/* 					*/
#define SHIM_ABK_ITEM_CONS		0x2000				/* 					*/
#define SHIM_ABK_ITEM_BLOOD		0x4000				/* t^				*/
#define SHIM_ABK_ITEM_LOCATION	0x8000				/* ʒu 			*/





//uEUNh^e
typedef struct _ShimBrowserInfo {
    uint32       cbSize;               /* \̂̃TCY                 */
    AEECLSID     clsid;                /* AvP[ṼNXID     */
    AEEEvent     ret_evt;              /* ʒmɎgpCxg     */
    char         url[1024];            /* \URL                    */
} ShimBrowserInfo;

//[[Nh^e
typedef struct _ShimMUAInfo {
    uint32       cbSize;               /* \̂̃TCY                 */
    AEECLSID     clsid;                /* AvP[ṼNXID     */
    AEEEvent     ret_evt;              /* ʒmɎgpCxg     */
    char         *to_list;             /* TÕXg                     */
    char         *cc_list;             /* CC̃Xg                     */
    char         *bcc_list;            /* BCC̃Xg                    */
    char         *title;               /* \                           */
    char         *body;                /* {                           */
} ShimMUAInfo;


#endif /* _AEEKDDI_H */

